Bug 1298730 - Hourly and daily disk Activity graphs for ec2 instances are empty despite hourly and daily rollups
Hourly and daily disk Activity graphs for ec2 instances are empty despite ho...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.6.0
Assigned To: Greg Blomquist
Dave Johnson
c&u:ui:ec2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 15:47 EST by Nandini Chandra
Modified: 2016-04-01 15:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 15:32:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Graphs for mosr recent hour (92.27 KB, image/png)
2016-01-30 14:37 EST, Nandini Chandra
no flags Details
Most Recent Hour - 2 (131.09 KB, image/png)
2016-01-30 14:38 EST, Nandini Chandra
no flags Details
Hourly graphs (119.60 KB, image/png)
2016-01-30 14:39 EST, Nandini Chandra
no flags Details

  None (edit)
Description Nandini Chandra 2016-01-14 15:47:03 EST
Description of problem:
-----------------------
The hourly and daily disk Activity graphs for ec2 instances  are empty.
The averages listed just below the graphs show 0s.IOW, for the hourly graphs,
each of the hourly averages is 0.

I have verified that the hourly and daily rollups are happening and the DB does contain hourly and daily rollups.So,the averages listed below the graphs should correctly reflect the values in the DB and the graphs should not be empty.

vmdb_production=# select * from metric_rollups where resource_name = 'cu-testing-jan12' and capture_interval_name = 'hourly'\x\g\x

-[ RECORD 3 ]-------------------------+---------------
id                                    | 96
timestamp                             | 2016-01-13 00:00:00
capture_interval                      | 
resource_type                         | VmOrTemplate
resource_id                           | 741
cpu_usage_rate_average                | 5.63544444444444
cpu_usagemhz_rate_average             | 0
mem_usage_absolute_average            | 0
disk_usage_rate_average               | 0.140740740740741
net_usage_rate_average                | 3580.75821144388
sys_uptime_absolute_latest            | 0
created_on                            | 2016-01-13 01:00:14.041601
derived_cpu_available                 | 
derived_memory_available              | 3840
derived_memory_used                   | 0
derived_cpu_reserved                  | 
derived_memory_reserved               | 
derived_vm_count_on                   | 0
derived_host_count_on                 | 0
derived_vm_count_off                  | 0
derived_host_count_off                | 0
derived_storage_total                 | 
derived_storage_free                  | 
capture_interval_name                 | hourly
assoc_ids                             | ---
                                      | :storages:
                                      |   :on: []
                                      |   :off: []
                                      | 
cpu_ready_delta_summation             | 0
cpu_system_delta_summation            | 0
cpu_wait_delta_summation              | 0
resource_name                         | cu-testing-jan12
cpu_used_delta_summation              | 0
----------------------
vmdb_production=# select * from metric_rollups where resource_name = 'cu-testing-jan12' and capture_interval_name = 'daily'\x\g\x
timestamp                             | 2016-01-13 00:00:00
capture_interval                      | 86400
resource_type                         | VmOrTemplate
resource_id                           | 741
cpu_usage_rate_average                | 4.1491712962963
cpu_usagemhz_rate_average             | 0
mem_usage_absolute_average            | 0
disk_usage_rate_average               | 0.132685185185185
net_usage_rate_average                | 2047.40588065442
sys_uptime_absolute_latest            | 0
created_on                            | 2016-01-14 00:00:11.570116
derived_cpu_available                 | 0
derived_memory_available              | 3840
derived_memory_used                   | 0
derived_cpu_reserved                  | 0
derived_memory_reserved               | 0
derived_vm_count_on                   | 0
derived_host_count_on                 | 0
derived_vm_count_off                  | 0
derived_host_count_off                | 0
derived_storage_total                 | 0
derived_storage_free                  | 0
capture_interval_name                 | daily
assoc_ids                             | 
cpu_ready_delta_summation             | 0
cpu_system_delta_summation            | 0
cpu_wait_delta_summation              | 0
resource_name                         | cu-testing-jan12


Version-Release number of selected component (if applicable):
-----------------------
5.5.0.13


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Generate disk activity on an ec2 instance
2.Navigate to the summary page of the instance,click 'Monitoring' and then 
click 'Utilization'.


Actual results:
---------------
Hourly and daily disk Activity graphs for ec2 instances  are empty.


Expected results:
-----------------
Hourly and daily disk Activity graphs for ec2 instances shouldn't be empty.


Additional info:
----------------
Comment 4 Nandini Chandra 2016-01-30 14:37 EST
Created attachment 1119670 [details]
Graphs for mosr recent hour
Comment 5 Nandini Chandra 2016-01-30 14:38 EST
Created attachment 1119671 [details]
Most Recent Hour - 2
Comment 6 Nandini Chandra 2016-01-30 14:39 EST
Created attachment 1119672 [details]
Hourly graphs
Comment 8 Nandini Chandra 2016-04-01 15:32:19 EDT
Greg,

I checked another instance and I do see hourly and daily rollups, although there is some discrepancy between what iostat reports on the instance for the disk and the C&U data in the DB(and hence C&U graphs).

That's being addressed through:
https://bugzilla.redhat.com/show_bug.cgi?id=1299050

I'm closing this bug.

Thanks,
Nandini

Note You need to log in before you can comment on or make changes to this bug.